Uploaded image for project: 'Maven'
  1. Maven
  2. MNG-6313

Update dependences and default plugins to latest version

    XMLWordPrintableJSON

    Details

    • Type: Dependency upgrade
    • Status: Closed
    • Priority: Minor
    • Resolution: Won't Fix
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None

      Description

      Still on Java 7

      default-bindings.xml
      maven-install-plugin 2.4 -> 2.5.2 (2014)
      maven-deploy-plugin 2.7 -> 2.8.2 (2014)
      maven-resources-plugin 2.6 -> 3.0.2 (2016)
      maven-compiler-plugin 3.1 -> 3.7 (2017)
      maven-surefire-plugin 2.12.4 -> 2.20.1 (2017)
      maven-jar-plugin 2.4 -> 3.0.2 (2017)
      maven-war-plugin 2.2 -> 3.2 (2017)

      Update
      parent-pom 27 -> 30 to aligh with other maven projects

      maven-shared-utils to 3.1 -> 3.2
      commons-lang 3.5 -> 3.6
      guice 4.0 -> 4.1

      commons-io -> 2.6
      logback-classic 1.2.1 -> 1.2.3

      Plugins - internal use (maybe some update to parent-pom)
      maven-release-plugin 2.5.3
      maven-surefire-plugin 2.20.1 (more colors)
      maven-bundle-plugin 2.5.4
      maven-site-plugin 3.6
      apache-rat-plugin 0.12
      findbugs-maven-plugin 3.0.5
      maven-assembly-plugin 3.0 -> 3.1
      maven-jxr-plugin 2.5
      maven-jar-plugin 3.0.2
      maven-compiler-plugin 3.7
      animal-sniffer-maven-plugin 1.15 -> 1.16

      Will be good to know which plugins must be migrated to 3.x line
      i.e. add link to maven webpage for dev to Wiki

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                slachiewicz Sylwester Lachiewicz
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: